@echo off

set MAKE=nmake
set MAKE_OPTIONS=/f

if ""%1"" == """" goto all
if ""%1"" == ""all"" goto go
if ""%1"" == ""install"" goto go
if ""%1"" == ""clean"" goto clean

:unknown
	echo Error: Unrecognized argument %1.
	goto done

:clean
	del bin\*

:go
	if ""%2"" == ""javaonly"" goto java
	if ""%2"" == ""nojava"" goto nojava
	if ""%2"" == ""gs2"" goto gs2

:all
	if NOT EXIST "bin" mkdir bin

	cd packages\windows\iconv\iconv
	%MAKE% %MAKE_OPTIONS% Makefile.msvc NO_NLS=1
	cd ..\..\..\..

	cd packages\unac
	%MAKE% %MAKE_OPTIONS% win32.mak %1
	cd ..\..

	cd mg
	call winMake.bat %1 
	cd ..

	cd mgpp
	call winMake.bat %1 
	cd ..
	
	cd lucene-gs
	call winMake.bat %1
	cd ..
	goto done

:java
	cd mg
	call winMake.bat %1 javaonly
	cd ..

	cd mgpp
	call winMake.bat %1 javaonly
	cd ..
	
	cd lucene-gs
	call winMake.bat %1 
	cd ..
	goto done

:nojava
	cd packages\windows\iconv\iconv
	%MAKE% %MAKE_OPTIONS% Makefile.msvc NO_NLS=1
	cd ..\..\..\..

	cd packages\unac
	%MAKE% %MAKE_OPTIONS% win32.mak %1
	cd ..\..

	cd mg
	call winMake.bat %1 nojava
	cd ..

	cd mgpp
	call winMake.bat %1 nojava
	cd ..
	goto done

:gs2
	if NOT EXIST "bin" mkdir bin

	cd packages\windows\iconv\iconv
	%MAKE% %MAKE_OPTIONS% Makefile.msvc NO_NLS=1
	cd ..\..\..\..

	cd packages\unac
	%MAKE% %MAKE_OPTIONS% win32.mak %1
	cd ..\..

	cd mg
	call winMake.bat %1 nojava
	cd ..

	cd mgpp
	call winMake.bat %1 nojava
	cd ..
	
	cd lucene-gs
	call winMake.bat %1
	cd ..
	goto done

:done
